boost::geometry::resolve_strategy::simplify Struct Reference

List of all members.

## Static Public Member Functions

template<typename Geometry , typename Distance , typename Strategy >
static void | apply (Geometry const &geometry, Geometry &out, Distance const &max_distance, Strategy const &strategy)
template<typename Geometry , typename Distance >
static void | apply (Geometry const &geometry, Geometry &out, Distance const &max_distance, default_strategy)

## Member Function Documentation

template<typename Geometry , typename Distance , typename Strategy >

static void boost::geometry::resolve_strategy::simplify::apply | ( | Geometry const & | geometry,
|  | Geometry & | out,
|  | Distance const & | max_distance,
|  | Strategy const & | strategy
| ) |  | `[static]`

template<typename Geometry , typename Distance >

static void boost::geometry::resolve_strategy::simplify::apply | ( | Geometry const & | geometry,
|  | Geometry & | out,
|  | Distance const & | max_distance,
|  | default_strategy |
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK